# class Rinda::TemplateEntry

A `TemplateEntry` is a `Template` together with expiry and cancellation data.

### Public Instance Methods

===(tuple)
Alias for: match
match(tuple) click to toggle source

Matches this `TemplateEntry` against `tuple`. See `Template#match` for details on how a `Template` matches a `Tuple`.

    # File lib/rinda/tuplespace.rb, line 167
    def match(tuple)
      @tuple.match(tuple)
    end

Also aliased as: ===